Name: openttd
Version: 0.7.5
Release: %mkrel 1
Summary: An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Summary(pt_BR): Um clone do jogo "Transport Tycoon Deluxe" da Microprose.
Group: Games/Other
Group(pt_BR): Jogos
Group(es): Juegos
License: GPL
URL: http://www.openttd.org
Source: http://binaries.openttd.org/releases/%{version}/%{name}-%{version}-source.tar.bz2
Source1: openttd.desktop
BuildRequires: alsa-lib-devel
BuildRequires: esound-devel
BuildRequires: libpng-devel
BuildRequires: SDL-devel
BuildRequires: libz-devel
BuildRequires: X11-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.
Note: OpenTTD requires these data files from the original Windows version
of Transport Tycoon Deluxe in order to function:
  - sample.cat
  - trg1r.grf
  - trgcr.grf
  - trghr.grf
  - trgir.grf
  - trgtr.grf
If you have the original game, just copy these files into
%{_datadir}/games/openttd/data  and have fun :)

%description -l pt_BR
OpenTTD  uma clone do jogo "Transport Tycoon Deluxe" da Microprose.
Obs: OpenTTD requer os seguintes arquivos da verso Windows do Transport Tycoon
Deluxe original para funcionar:
  - sample.cat
  - trg1r.grf
  - trgcr.grf
  - trghr.grf
  - trgir.grf
  - trgtr.grf
Se voc tem o jogo original, copie estes arquivos para
%{_datadir}/games/openttd/data e divirta-se :)

#-------------------------------------------------------------------------------

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
./configure --prefix-dir=%{_prefix}

%build
%make

%install
make INSTALL_DIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/share/pixmaps

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{_sourcedir}/openttd.desktop %{buildroot}%{_datadir}/applications/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_prefix}/games/openttd
%dir %{_datadir}/games/openttd
%{_datadir}/games/openttd/*
%{_datadir}/applications/openttd.desktop
%{_datadir}/doc/openttd/32bpp.txt
%{_datadir}/icons/hicolor/128x128/apps/openttd.png
%{_datadir}/icons/hicolor/16x16/apps/openttd.png
%{_datadir}/icons/hicolor/256x256/apps/openttd.png
%{_datadir}/icons/hicolor/32x32/apps/openttd.png
%{_datadir}/icons/hicolor/48x48/apps/openttd.png
%{_datadir}/icons/hicolor/64x64/apps/openttd.png
%{_docdir}/openttd/multiplayer.txt
%{_docdir}/openttd/COPYING
%{_docdir}/openttd/changelog.txt
%{_docdir}/openttd/known-bugs.txt
%{_docdir}/openttd/obg_format.txt
%{_docdir}/openttd/readme.txt
%{_mandir}/man6/openttd.6.lzma


%changelog
* Tue Jan 05 2010 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.7.5-1mdv2010.0
+ Revision: 486442
- New release. The intention of this update is to allow users to play online
  as there are few servers still working with the older version

* Tue Aug 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 415138
- update to new version 0.7.2

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 384928
- Update to new version 0.7.1

* Wed Mar 18 2009 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-2mdv2009.1
+ Revision: 357539
- Fix pixmap paths in the install stage

* Mon Dec 08 2008 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 311782
- Fix pixmap paths in the install stage
- Fix pixmap paths
- Version bump to 0.6.3
- Version bump to 0.6.3

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 262435
- update to new version 0.6.2

* Thu Apr 10 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.6.0-1mdv2009.0
+ Revision: 192551
- New upstream release: 0.6.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 101456
- New release
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Mon Jun 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2-1mdv2008.0
+ Revision: 38038
- new upstream release: 0.5.2

* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
+ Revision: 21468
- Import openttd



* Thu May 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.1-1mdv2008.0
- Initial package for OpenTTD
